body, html {
	padding: 0;
	margin: 0;
}

body {
	font-family: "Open Sans", sans-serif
}

header {
	padding: 20px;
	background: #ececec;
	box-shadow: 0 24px 38px 3px rgba(0,0,0,.14);
	text-align: center
}

header h1 {
	font-family: "Bebas Neue";
	font-size: 70px;
	margin-bottom: 0;
}

header p {
	font-weight: 300;
}

main {
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto
}

main h2 {
	margin-bottom: 0;
}

#district-filter-form {
	display: flex;
	margin-top: 10px;
	margin-bottom: 10px;
	padding-bottom: 10px;
	align-items: center;
	gap: 6px;
	border-bottom: 1px solid #aaa
}

#district-filter-form input[type="submit"] {
	padding: 4px;
	font-family: "Open Sans", sans-serif;
	background-color: #fff;
	border: 1px solid #aaa;
	border-radius: 4px;
	box-sizing: border-box;
	font-size: medium;
	height: 28px;
	color: #444
}

.people {
	padding-bottom: 10px;
	margin-bottom: 10px;
	border-bottom: 1px solid #aaa;
}

.person {
	display: grid;
	grid-template-columns: 200px 1fr;
	grid-template-rows: 1fr;
	gap: 0px 20px;
	grid-template-areas:
		"person-image person-description"
}

.person-image {
	grid-area: person-image;
}

.person-image img {
	max-width: 200px;
	max-height: 200px;
	border-radius: 6px;
}

.person-description {
	grid-area: person-description
}

.person h2 {
	margin-top: 0;
	margin-bottom: 10px
}

@keyframes kf-color-mix {
	0% { color: red }
	100% { color: green }
}

.person:not(:last-child) {
	margin-bottom: 25px;
}

.person-agreement-percentage {
	background: #c8c8c8;
	width: 100%;
	height: 30px;
	border-radius: 6px;
}

/*
 * https://css-tricks.com/mixing-colors-in-pure-css/
 * Thanks to Carter Li!
 */
.person-agreement-percentage-bar {
	animation: kf-color-mix 1s linear forwards paused;
	background: currentColor;
	height: 30px;
	text-align: right;
	color: #020000;
	border-radius: 6px;
}

.person-agreement-percentage-number {
	background: unset;
	color: #fff;
	line-height: 30px;
	padding-right: 7px;
	padding-left: 7px;
	white-space: nowrap;
	text-shadow: 0 0 5px #0000009e;
}

.back-to-main, .back-to-main:visited,
.show-answers, .show-answers:visited {
	color: #000;
	height: 25px;
	display: inline-flex;
	gap: 5px;
}

.show-answers {
	margin-top: 13px;
}
